#ifndef CONNEXION_H
#define CONNEXION_H

#include <QtCore>
#include <QtSql>
#include <QSqlDatabase>
#include <QMessageBox>
#include "string.h"

extern QString g_pathabsolu;
//lance la connection a DrTuxTest
bool CreateConnection() 
{
  QString host;
  QString utilisateur;
  QString mapoule;
  QStringList liste;
  QStringList hostuser;

  QFile fichier(""+g_pathabsolu+"/utilisateur.ini");
      if(fichier.open(QIODevice::ReadOnly | QIODevice::Text) == false){
         QMessageBox::warning(0,"erreur",QObject::trUtf8("le fichier utilisateur.ini n'est pas accessible"),QMessageBox::Ok);
         }
  QTextStream loire(&fichier);
      while(!loire.atEnd()){
         QString ligne = loire.readLine();
         QStringList liste = ligne.split("=");
         hostuser << ""+liste[1]+"";
      }
      host = hostuser[0];
      utilisateur = hostuser[1];
      mapoule = hostuser[2];
///////si le mot de passe est vide
if(mapoule == ""){
QSqlDatabase db = QSqlDatabase :: addDatabase("QMYSQL");
db.setHostName(""+host+"");
db.setDatabaseName("DrTuxTest");
db.setUserName(""+utilisateur+"");
db.setPassword("");

if (!db.open()) {
	QString erreur = db.lastError().text();
	std::string erreurstring = erreur.toStdString();
	const char *erreurchar = erreurstring.c_str();

	QMessageBox::critical(0,QObject::tr("Erreur"),QObject::trUtf8("Erreur ouverture de base,\n si vous avez un mot de passe\nrenseignez le .ini par Crypt",erreurchar),QMessageBox::Close);
	return false;
}

return true;}

else{
/*QString lettre;
QString hellothatsme;
int chiffremot;
int chiffre;
QString mot;
chiffremot = mapoule.mid(4,1).toInt();
chiffre = mapoule.mid(3,1).toInt();

liste << ""+mapoule.mid(10+chiffre,1)+"";
mot = liste[0];

int j= 1;
for(int i=0; i< chiffremot-1 ;i++){
lettre = mapoule.mid(j*3+10+chiffre,1);
liste  << ""+lettre+"";
j++;
}
QString motus;
int k = 1;
for(int i=0; i< chiffremot-1 ;i++){
motus += liste[k];
k++;
}
hellothatsme = mot+motus;*/
///////////////////////////////////////////////////
QString motdepasse = mapoule;//hellothatsme;
motdepasse = motdepasse.replace(QRegExp("\\n"),"");
QSqlDatabase db = QSqlDatabase :: addDatabase("QMYSQL");
db.setHostName(""+host+"");
db.setDatabaseName("DrTuxTest");
db.setUserName(""+utilisateur+"");
db.setPassword(""+motdepasse+"");

if (!db.open()) {
	QMessageBox::critical(0,"Erreur ouverture de base (mot de passe : oui", db.lastError().text());
	return false;
}

return true;
}
}

#endif
